> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revogar conexão

> Revoga o grant de um usuário/app conectado. Equivalente a **Apps conectados → Revogar** no painel. Escopo `oauth_apps:manage`.



## OpenAPI

````yaml /es/oauth-api/api-reference/openapi-oauth.json post /v1/oauth/connections/{id}/revoke
openapi: 3.0.3
info:
  title: Notifique API. OAuth 2.1
  description: >-
    Authorization Server OAuth 2.1 con PKCE obligatorio. Registra clientes,
    autoriza usuarios y obtén access tokens para `/v1/*`. Issuer:
    `https://api.notifique.dev`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security: []
tags:
  - name: Metadados
    description: Discovery RFC 8414, chaves públicas JWT e metadados do recurso MCP.
  - name: OAuth
    description: Registro de clientes, autorização, tokens e revogação.
  - name: OAuth Apps
    description: Apps OAuth do workspace (painel Developer → OAuth Apps).
paths:
  /v1/oauth/connections/{id}/revoke:
    post:
      tags:
        - OAuth Apps
      summary: Revogar conexão
      description: >-
        Revoga o grant de um usuário/app conectado. Equivalente a **Apps
        conectados → Revogar** no painel. Escopo `oauth_apps:manage`.
      operationId: ntfOauth_revokeConnection
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Conexão revogada.
          content:
            application/json:
              example:
                success: true
                data:
                  id: clconn_01H...
                  revoked: true
              schema:
                $ref: '#/components/schemas/ntfOauth_RevokeConnectionResponse'
        '401':
          $ref: '#/components/responses/NtfOauth_Unauthorized'
        '403':
          $ref: '#/components/responses/NtfOauth_Forbidden'
        '404':
          $ref: '#/components/responses/NtfOauth_NotFound'
components:
  schemas:
    ntfOauth_RevokeConnectionResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            id:
              type: string
            revoked:
              type: boolean
      example:
        success: true
        data:
          id: clxx...
          revoked: true
    NtfOauth_Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
      example:
        success: false
        error: string
        message: string
        code: string
  responses:
    NtfOauth_Unauthorized:
      description: Chave ausente, inválida ou revogada.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfOauth_Error'
          example:
            success: false
            error: Unauthorized
            message: Invalid API key
            code: UNAUTHORIZED
    NtfOauth_Forbidden:
      description: Escopo ausente ou recurso fora da permissão da chave.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfOauth_Error'
          example:
            success: false
            error: Forbidden
            message: Missing scope webhooks:manage
            code: FORBIDDEN
    NtfOauth_NotFound:
      description: Recurso não encontrado no workspace.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfOauth_Error'
          example:
            success: false
            error: Not Found
            message: Webhook not found
            code: NOT_FOUND

````